Bug 478064 - MIGRATED_FROM_JIRA: Could not connect to server from Penrose Studio on remote box
MIGRATED_FROM_JIRA: Could not connect to server from Penrose Studio on remote...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:55 EST by Chandrasekar Kannan
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:55:41 EST
Could connect to server from Penrose Studio on localhost, but if try to connect from remote machine, I get a Java.net.connection exception stating Connection refused to host 127.0.0.1.

It appears that when you enter another server somehow it is still resolving to localhost. I tried both hostname and IP address of my server and tried test connection as well as saving the connection and trying to open.

Additional Comments From endisd dated Sat Aug 27 10:53:48 CDT 2005 
This problem either can't be reproduced or has been fixed in 0.9.4. If it's still happening, please reopen the issue. Thanks.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'wahooken@gmail.com',
          'key' => 'PENROSE-66',
          'assignee' => 'endisd',
          'summary' => 'Could not connect to server from Penrose Studio on remote box',
          'id' => '10214',
          'updated' => '2005-08-27 10:53:48.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-08-31 00:00:00.0',
                             'sequence' => '4',
                             'name' => 'Penrose-0.9.4',
                             'released' => 'true',
                             'id' => '10021',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Could connect to server from Penrose Studio on localhost, but if try to connect from remote machine, I get a Java.net.connection exception stating Connection refused to host 127.0.0.1.

It appears that when you enter another server somehow it is still resolving to localhost. I tried both hostname and IP address of my server and tried test connection as well as saving the connection and trying to open.
',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-07-26 00:00:00.0',
                                 'sequence' => '3',
                                 'name' => 'Penrose-0.9.3',
                                 'released' => 'true',
                                 'id' => '10020',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2005-08-09 20:22:59.0',
          'environment' => 'Penrose Studio on Windows XP, Penrose Server on Centos Linux 4.1. 0.9.3 version on both. JDK is 1.4.2.',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:55:43 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-66

Note You need to log in before you can comment on or make changes to this bug.